# $Revision: 1.19 $, $Date: 2006/09/08 18:03:48 $
Summary:	FTP proxy/gateway that uses the FTP protocol
Summary(pl):	Proxy/bramka FTP uywajca protokou FTP
Name:		jftpgw
Version:	0.13.5
Release:	4
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.mcknight.de/jftpgw/%{name}-%{version}.tar.gz
# Source0-md5:	f1997ff094d8f243582a127bf732b2fd
Source1:	%{name}.conf
Source2:	%{name}.init
URL:		http://www.mcknight.de/jftpgw/
BuildRequires:	rpmbuild(macros) >= 1.202
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Provides:	user(jftpgw)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}

%description
jftpgw is an FTP proxy/gateway that uses the FTP protocol (unlike
those FTP proxies that fetch an FTP file but work as an HTTP proxy).
You can use it to make servers behind a firewall/NAT server
(masquerading server) accessible or to allow users behind such
solutions to transfer files to and from the outside of the LAN.

%description -l pl
jftpgw jest proxy/bramk FTP, uywajc protokou FTP (w
przeciwiestwie do tych proxy FTP, ktre cigaj pliki po FTP, ale
dziaaj jako proxy HTTP). Mona uywa jej, aby udostpni serwery za
firewallem/maskarad, albo eby pozwoli uytkownikom w podobnej
sytuacji na przesyanie plikw na i z zewntrz sieci lokalnej.

%prep
%setup -q

%build
%configure2_13 \
	--with-logpath=/var/log
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,/var/{log,run}/jftpgw}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/jftpgw.conf
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/jftpgw
touch $RPM_BUILD_ROOT/var/log/jftpgw/jftpgw.log

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%useradd -u 27 -s /bin/false -g nobody -c "jftpgw ftp proxy daemon" -d /tmp jftpgw

%post
/sbin/chkconfig --add jftpgw
if [ -f /var/run/jftpgw/jftpgw.pid ]; then
	/etc/rc.d/init.d/jftpgw restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/run/jftpgw/jftpgw.pid ]; then
		/etc/rc.d/init.d/jftpgw stop >&2
	fi
	/sbin/chkconfig --del jftpgw
fi

%postun
if [ "$1" = "0" ]; then
	%userremove jftpgw
fi

%files
%defattr(644,root,root,755)
%doc doc/config.html
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/jftpgw
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%{_mandir}/man1/*
%dir /var/log/jftpgw
%attr(644,jftpgw,root) /var/log/jftpgw/jftpgw.log
%attr(755,jftpgw,root) /var/run/jftpgw

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jftpgw.spec,v $
Revision 1.19  2006/09/08 18:03:48  glen
- rel 4 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.18  2006/04/14 15:09:43  glen
- rel 3

Revision 1.17  2005/12/13 12:56:54  glen
- adapterized (sorted %verify attrs)

Revision 1.16  2005/07/10 19:36:03  darekr
- cosmetics

Revision 1.15  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.14  2004/10/15 13:23:49  ankry
- %userremove/%groupremove support, some standarization

Revision 1.13  2004/08/31 17:26:47  snurf
- typos

Revision 1.12  2004/08/18 21:59:05  undefine
- release 2

Revision 1.11  2004/07/11 09:48:43  tiwek
- updated to 0.13.5
- added doc
- release 1

Revision 1.10  2003/08/11 22:46:32  ankry
- cosmetics

Revision 1.9  2003/07/05 20:41:15  areq
- 0.13.4

Revision 1.8  2003/05/28 12:59:15  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:49:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/17 06:07:07  pascalek
- revert user changes

Revision 1.5  2003/05/10 10:22:12  pascalek
- Req user-jftpgw

Revision 1.4  2002/11/27 11:04:40  qboosh
- fixed Requires(pre), added restart in post, one more missing dir

Revision 1.3  2002/11/26 16:21:13  mkierus
- change run uid, fixed preun

Revision 1.2  2002/11/26 13:56:01  qboosh
- real description, fixed preun; added TODO about nobody(!)
